Add a NetApp Cloud Central user to NetApp Console
Adds an existing NetApp Cloud Central user to the NetApp Console, enabling access to manage resources and operations within the console.
HTTP method and endpoint
POST /users/add-user
Request Body
| Name | Type | Required | Description |
|---|---|---|---|
string |
False |
User email address |
|
roleId |
string |
True |
Role ID of the user |
tenantId |
string |
False |
Tenant ID of the user |
Example request
{
"email": "string",
"roleId": "string",
"tenantId": "string"
}
Error
Status: Default, Default response
| Name | Type | Required | Description |
|---|---|---|---|
assignedWorkingEnvironments |
array[string] |
True |
List of public IDs for all of the systems visible to the user |
azureCredentials |
False |
||
cloudSyncLicenseInformation |
False |
||
createdWorkingEnvironments |
True |
List of all systems created by the user |
|
string |
True |
The email address of the user |
|
firstName |
string |
True |
The first name of the user |
isLdap |
boolean |
True |
Indicates whether the user is an LDAP user |
lastName |
string |
True |
The last name of the user |
ldapUserName |
string |
True |
The LDAP user name |
notificationsOptIn |
boolean |
True |
Notification opt-in |
permissions |
array[string] |
True |
Permissions |
publicId |
string |
True |
User public ID |
roleId |
string |
True |
Role ID of the user |
tenantId |
string |
True |
Tenant ID of the user |
Example error response
{
"assignedWorkingEnvironments": [
"string"
],
"azureCredentials": {
"applicationId": "string",
"applicationKey": "string",
"subscriptionId": "string",
"tenantId": "string"
},
"cloudSyncLicenseInformation": {
"cloudSyncLicenseTypes": [
"string"
]
},
"createdWorkingEnvironments": [
{
"name": "string",
"publicId": "string",
"workingEnvironmentType": "string"
}
],
"email": "string",
"firstName": "string",
"isLdap": false,
"lastName": "string",
"ldapUserName": "string",
"notificationsOptIn": false,
"permissions": [
"string"
],
"publicId": "string",
"roleId": "string",
"tenantId": "string"
}
Definitions
See Definitions
AzureCredentials
| Name | Type | Required | Description |
|---|---|---|---|
applicationId |
string |
False |
|
applicationKey |
string |
False |
|
subscriptionId |
string |
False |
|
tenantId |
string |
False |
CloudSyncLicenseInformation
| Name | Type | Required | Description |
|---|---|---|---|
cloudSyncLicenseTypes |
array[string] |
False |
Cloud Sync license types |
licenseExpirationDate |
integer |
False |
Cloud Sync License Expiration Date |
UserWorkingEnvironmentResponse
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
System name |
publicId |
string |
True |
System public ID |
workingEnvironmentType |
string |
True |
System type |